"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var expo_image_1 = require("expo-image");
var blurhashValue = '|rF?hV%2WCj[ayj[a|j[az_NaeWBj@ayfRayfQfQM{M|azj[azf6fQfQfQIpWXofj[ayj[j[fQayWCoeoeaya}j[ayfQa{oLj?j[WVj[ayayj[fQoff7azayj[ayj[j[ayofayayayj[fQj[ayayj[ayfjj[j[ayjuayj[';
var Avatar = function (_a) {
    var _b = _a.size, size = _b === void 0 ? 40 : _b, _c = _a.shape, shape = _c === void 0 ? 'pill' : _c, _d = _a.variant, variant = _d === void 0 ? 'image' : _d, _e = _a.blurhash, blurhash = _e === void 0 ? false : _e, imgUrl = _a.imgUrl;
    return (<expo_image_1.Image source={{ uri: imgUrl }} style={{
            width: size,
            height: size,
            borderRadius: 999,
        }} placeholder={blurhash ? { blurhashValue: blurhashValue } : undefined} contentFit="cover" transition={200}/>);
};
exports.default = Avatar;
//# sourceMappingURL=avatar.js.map