"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var text_1 = __importDefault(require("./text"));
var PageIndicator = function (_a) {
    var current = _a.current, total = _a.total;
    return (<react_native_1.View className="flex-row gap-[2px] rounded-[6px] bg-[#03071280] px-[8px] py-[4px]">
      <text_1.default face={'caption'} weight={'semibold'} size={'medium'} textColor="white">
        {current}
      </text_1.default>
      <text_1.default face={'caption'} weight={'semibold'} size={'medium'} textColor={'rgba(255, 255, 255, 0.5)'}>
        /
      </text_1.default>
      <text_1.default face={'caption'} weight={'semibold'} size={'medium'} textColor={'rgba(255, 255, 255, 0.5)'}>
        {total}
      </text_1.default>
    </react_native_1.View>);
};
exports.default = PageIndicator;
//# sourceMappingURL=pageIndicator.js.map